Page MenuHomePhabricator

Updating my Gather collection with additional articles and saving made it empty.
Closed, ResolvedPublic

Description

I had a Gather collection with 1 article in it, created a couple of weeks ago. Today I added some 8-9 other articles to it (using the search bar), and they showed up fine, but after clicking "save changes": 1. I got no visual response that it happened; 2. refreshing the page after a long minute resulted in a now empty(!) collection. The collection URL is this: https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%9C%D7%A7%D7%98/id/1/100wikidays

Event Timeline

Ijon created this task.May 21 2015, 4:28 PM
Ijon raised the priority of this task from to Needs Triage.
Ijon updated the task description. (Show Details)
Ijon added a project: Gather.
Ijon added a subscriber: Ijon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 4:28 PM
Jdlrobson set Security to None.
Jdlrobson added subscribers: Moushira, Jdlrobson.

@Ijon that sounds real bad. I'm sorry that happened :-/. We'll take a look at the logs and see if we can find any indication of what happened here. @Moushira are you able to check Special:Log for this ?

Jdlrobson moved this task from Needs triage to This Sprint on the Gather board.May 25 2015, 9:19 PM

I can't replicate this so far.... and cannot find any exceptions in logstash.
Not sure how to debug this without understanding the events that occurred leading up to it.
It's possible a one off resulting from enabling the extension on hewiki.
Can you check Special:Log to see which events happened for you related to Gather leading up to this?
@Ijon did you lose any other data across the site?

Sorry late reply. I did check, couldn't find anything significant as far as my Hebrew could help. @Ijon?

Jdlrobson moved this task from To Do to Doing on the Mobile-Web-Sprint-48-Voyage-of-the-Damned board.
Jdlrobson removed Jdlrobson as the assignee of this task.Jun 8 2015, 9:44 PM

I'm not sure what to do with this card apart from assume it was a one off as we launched.

Tgr added a subscriber: Tgr.Jun 10 2015, 10:39 PM

A maybe related bug that I can consistently reproduce (on vagrant, with the mobileweb role, with a normal broser) is: create new empty collection -> add a bunch of pages via the search box -> save -> still empty

@Ijon can you provide more details on the workflow you went through? Did you setup the collection initially from the Special:Gather page or via the star? How did you get to the editor screen to add the 8-9 pages? Can you replicate it now?

@Tgr can you raise a bug for that issue please?

@Tgr T102157 hopefully covers your issue?
@Ijon does it cover yours?

Jdlrobson changed the task status from Open to Stalled.Jun 17 2015, 5:15 PM
Jdlrobson moved this task from This Sprint to Some day on the Gather board.Jun 17 2015, 5:15 PM
Tgr added a comment.Jun 20 2015, 1:37 AM

@Tgr T102157 hopefully covers your issue?

Yes, thanks for handling that!

Jdlrobson closed this task as Resolved.Jul 6 2015, 7:18 PM
Jdlrobson claimed this task.

Assuming this was a one off then.